Bug 23592 - Link between suggestion and bibliographic record on staff client
Summary: Link between suggestion and bibliographic record on staff client
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-11 13:15 UTC by Séverine Queune
Modified: 2020-03-05 01:37 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 23592: Link to the bibliographic record from the suggestion (1.69 KB, patch)
2019-11-12 20:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23592: Link to the bibliographic record from the suggestion (1.83 KB, patch)
2019-11-13 16:08 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 23592: Link to the bibliographic record from the suggestion (1.90 KB, patch)
2020-02-14 22:11 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Séverine Queune 2019-09-11 13:15:42 UTC
The BULAC (http://www.bulac.fr/) would like to sponsor 3 different enhancements to ease the links between suggestion and bibliographic record.

On this ticket : when suggestions’ status are ‘Ordered’ or ‘Available’ (=suggestions.biblionumber IS NOT NULL), add a link from the ‘/cgi-bin/koha/suggestion/suggestion.pl’ page to the bibliographic record on the staff client.

As long as “Change sponsored?” is set on “Seeking developer”, anyone wanting to quote us for the development of such a feature or just ask for more information is welcome to write to us: <sigb@bulac.fr>.
Comment 1 Séverine Queune 2019-09-11 13:18:27 UTC
See also Bug 23593 for same behaviour on OPAC.
Comment 2 Jonathan Druart 2019-11-12 20:28:32 UTC
Created attachment 95350 [details] [review]
Bug 23592: Link to the bibliographic record from the suggestion

If there is a link between a suggestion and a bibliographic record (ie.
if suggestion.biblionumber is set), it makes sense to have an hyperlink
on the suggestion detail page.

Test plan:
- Create 2 suggestions
- Create an order from one of them
- Go to the detail page of the suggestion
=> The one with the order has a to the bibliographic record
=> The other one is not linked with a bibliographic record, and so the
title is displayed, without hyperlink
Comment 3 Séverine Queune 2019-11-13 16:08:51 UTC
Created attachment 95400 [details] [review]
Bug 23592: Link to the bibliographic record from the suggestion

If there is a link between a suggestion and a bibliographic record (ie.
if suggestion.biblionumber is set), it makes sense to have an hyperlink
on the suggestion detail page.

Test plan:
- Create 2 suggestions
- Create an order from one of them
- Go to the detail page of the suggestion
=> The one with the order has a to the bibliographic record
=> The other one is not linked with a bibliographic record, and so the
title is displayed, without hyperlink

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 4 Katrin Fischer 2020-02-14 22:11:59 UTC
Created attachment 99053 [details] [review]
Bug 23592: Link to the bibliographic record from the suggestion

If there is a link between a suggestion and a bibliographic record (ie.
if suggestion.biblionumber is set), it makes sense to have an hyperlink
on the suggestion detail page.

Test plan:
- Create 2 suggestions
- Create an order from one of them
- Go to the detail page of the suggestion
=> The one with the order has a to the bibliographic record
=> The other one is not linked with a bibliographic record, and so the
title is displayed, without hyperlink

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2020-02-14 22:13:35 UTC
A subtle but nice change :)
Comment 6 Martin Renvoize 2020-02-17 11:32:04 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-03-05 01:37:12 UTC
enhancement not pushed to 19.11.x